#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE9,0x7E,0x02,0x8A,0x47,0xFC,0x0F,0x27,0xC3,0xCE,0xD1,0xAB,
		0x6C,0x2B,0x2D,0x1F,0x84,0xE5,0x10,0x39,0x47,0xE5,0x23,0x5D,
		0xF9,0x73,0xD6,0x15,0x71,0x31,0xBC,0xC7,0x46,0x00,0x31,0xC4,
		0x4E,0x30,0x5D,0xEB,0xFF,0x3E,0xB8,0x7A,0x6D,0xFD,0x61,0x6D,
		0x50,0x86,0x08,0x06,0xAE,0xE9,0x8A,0x6E,0x22,0x42,0x93,0x42,
		0x34,0x0F,0xD3,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
